<!--
/********************************************************************************
 * Copyright © 2018 Mettenmeier GmbH.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
-->
<div class="container-fluid">
  <div class="row">
    <div class="col-md-12">
      <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2" id="listHeader">Bereitschaftsgruppenliste</h1>
        <div class="btn-toolbar mb-2 mb-md-0">
          <div class="btn-group">
            <button *ngIf="authService.userHasRoles(['BP_Sachbearbeiter'])" class="btn btn-sm btn-primary masterdata-actionbar-button"
              (click)="openModal()" id="btnNewStandbyGroup">Neue Bereitschaftsgruppe</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-md-12">
      <ag-grid-angular style="width: 100%;" [localeText]="localeText" domLayout="autoHeight" class="ag-theme-balham"
        [defaultColDef]="defaultColDef" [rowData]="rowData" [columnDefs]="columnDefs" (gridReady)="onGridReady($event)"
        (rowClicked)="rowClicked($event)" pagination="true" paginationPageSize="30" id="standbyGroupGrid">
      </ag-grid-angular>
    </div>
  </div>
</div>